A list of interface entries.
OID reference
nmsIfSpeedTable
1.3.6.1.4.1.171.9.64.4.4
Description
A list of interface entries.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.9.64.4 (nmsIfExtStatistics)
- Node code
- 4
- Node name
- nmsIfSpeedTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.9.64.4.4
- URN notation
- urn:oid:1.3.6.1.4.1.171.9.64.4.4
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 9 64 4 4}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) nmsMgmt(9) nmsIfExtMIB(64) nmsIfExtStatistics(4) nmsIfSpeedTable(4)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/9/64/4/4
- /ISO/Identified-Organization/6/1/4/1/171/9/64/4/4
- /ISO/3/6/1/4/1/171/9/64/4/4
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprise/d-link/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprise/company/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprise/my/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprise/nms/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprises/dlink/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprises/d-link/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprises/company/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprises/my/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/enterprises/nms/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/company/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/my/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- /iso/identified-organization/dod/internet/private/vendor-objects/dlink/nmsMgmt/nmsIfExtMIB/nmsIfExtStatistics/nmsIfSpeedTable
- Additional combinations skipped.
SNMP properties
- Value type
- SEQUENCE OF NmsIfSpeedEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
nmsIfSpeedTable OBJECT-TYPE
SYNTAX SEQUENCE OF NmsIfSpeedEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A list of interface entries."
::= { nmsIfExtStatistics 4 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
nmsIfSpeedTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: nmsIfSpeedTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmsIfSpeedTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"NmsIfSpeedEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A list of interface entries.\"",
"::=",
"{",
"nmsIfExtStatistics",
"4",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"NmsIfSpeedEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A list of interface entries."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: Private MIB.zip
Module: NMS-INTERFACE-EXT
See published definition above
· Download NMS-INTERFACE-EXT.myModule imports
{'IF-MIB': ['ifAlias'], 'NMS-SMI': ['nmsMgmt'], 'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-TC': ['MacAddress', 'TruthValue', 'DisplayString'], 'RFC1155-SMI': ['Counter'], 'RFC1213-MIB': ['ifIndex', 'ifType', 'ifDescr', 'ifOperStatus', 'ifAdminStatus']}Related source files and packages:
Show all 6 related files and packages
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Same file in Private MIB.zip.
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.9.64.4.4.1 | nmsIfSpeedEntry | 17 | 17 |
Siblings (4)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.9.64.4.1 | ifExtStatisticsTable | 1 | 69 | |
| 1.3.6.1.4.1.171.9.64.4.2 | nmsIfException | 4 | 5 | |
| 1.3.6.1.4.1.171.9.64.4.3 | ifExtGlobalLinkTrapSwitch | 0 | 0 | |
| 1.3.6.1.4.1.171.9.64.4.5 | trafficExceeds | 2 | 4 |